# Visualization
TKV2d
AIS2D

# AIS2D_PrimitiveArchit Class Reference

`#include <AIS2D_PrimitiveArchit.hxx>`

## Public Member Functions

Standard_EXPORT | AIS2D_PrimitiveArchit (const Handle(Graphic2d_Primitive)&aPrim, const Standard_Integer ind)
Standard_EXPORT Handle_Graphic2d_Primitive | GetPrimitive () const
Standard_EXPORT Standard_Integer | GetIndex () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Graphic2d_Primitive | myPrimitive
Standard_Integer | myInd

## Constructor & Destructor Documentation

Standard_EXPORT AIS2D_PrimitiveArchit::AIS2D_PrimitiveArchit | ( | const Handle(Graphic2d_Primitive)& | aPrim,
|  | const Standard_Integer | ind
| ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer AIS2D_PrimitiveArchit::GetIndex | ( |  | ) | const

Standard_EXPORT Handle_Graphic2d_Primitive AIS2D_PrimitiveArchit::GetPrimitive | ( |  | ) | const

Standard_EXPORT const AIS2D_PrimitiveArchit::Handle | ( | Standard_Type |  | ) | const

## Field Documentation

Standard_Integer AIS2D_PrimitiveArchit::myInd `[private]`

Handle_Graphic2d_Primitive AIS2D_PrimitiveArchit::myPrimitive `[private]`

The documentation for this class was generated from the following file:

- AIS2D_PrimitiveArchit.hxx